is.xyz {bio3d} | R Documentation

## Is an Object of Class ‘xyz’?

### Description

Checks whether its argument is an object of class ‘xyz’.

### Usage

      is.xyz(x)
      as.xyz(x)

### Arguments

`x` | an R object to be tested

### Details

Tests if x is an object of class ‘xyz’, i.e. if x has a “class” attribute equal to `xyz`.

### Value

TRUE if x is an object of class ‘xyz’ and FALSE otherwise

### See Also

`read.pdb`, `read.ncdf`, `read.dcd`, `fit.xyz`

### Examples

    # Read a PDB file
    pdb <- read.pdb( system.file("examples/1hel.pdb", package="bio3d") )
    is.xyz(pdb$xyz)

[Package bio3d version 2.3-4 Index]